services:
  rgallery:
    image: robbymilo/rgallery:latest
    # entrypoint:
    #   - rgallery
    #   - --data=./data # override database directory
    #   - --cache=./cache # override cache directory
    #   - --disable-auth # disable login
    #   - --quality=60 # override thumbnail quality
    #   - --location_dataset=Countries10 # use lower resolution reverse geocode dataset
    #   - --tile_server=https://tile.thunderforest.com/cycle/{z}/{x}/{y}.png?apikey=<replace-with-your-API-key>
    #   - --include-originals # include originals in web view.
    # platform: linux/arm64
    platform: linux/amd64
    volumes:
      - ./images:/images:ro
      - ./data:/data
      - ./cache:/cache
    ports:
      - 3000:3000
